Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.rulesys
Class Rule.Parser

    java.lang.Object
      com.hp.hpl.jena.reasoner.rulesys.Rule.Parser

Enclosing class:
  Rule

    public static class Rule.Parser

extends java.lang.Object

Inner class which provides minimalist parsing support based on tokenisation with depth 1 lookahead. No sensible error reporting on offer. No embedded spaces supported.

Method Summary
`java.util.Map` | `getPrefixMap()` Return a map of all the discovered prefixes
`java.util.List` | `getRulesPreload()` Return the complete set of preloaded rules;
`Rule` | `parseRule()` Parse a rule, terminated by a "]" or "." character.
`java.lang.String` | `recentTokens()` Return a trace of the recently seen tokens, for use in error reporting
`void` | `registerPrefix(java.lang.String prefix, java.lang.String namespace)` Register a new namespace prefix with the parser
`void` | `registerPrefixMap(java.util.Map map)` Register a set of prefix to namespace mappings with the parser

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### registerPrefix

    public void registerPrefix(java.lang.String prefix,
                               java.lang.String namespace)

  Register a new namespace prefix with the parser

### registerPrefixMap

    public void registerPrefixMap(java.util.Map map)

  Register a set of prefix to namespace mappings with the parser

### getPrefixMap

    public java.util.Map getPrefixMap()

  Return a map of all the discovered prefixes

### getRulesPreload

    public java.util.List getRulesPreload()

  Return the complete set of preloaded rules;

### recentTokens

    public java.lang.String recentTokens()

  Return a trace of the recently seen tokens, for use in error reporting

### parseRule

    public Rule parseRule()

  Parse a rule, terminated by a "]" or "." character.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP